Bug 427530 - Review Request: awesome - Extremely fast, small, dynamic and awesome tiling window manager
Review Request: awesome - Extremely fast, small, dynamic and awesome tiling w...
Status: CLOSED DUPLICATE of bug 452427
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 427529
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-01-04 09:20 EST by Hans Ulrich Niedermann
Modified: 2008-06-22 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 12:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-01-04 09:20:32 EST
Spec URL: http://ndim.fedorapeople.org/awesome/awesome.spec
SRPM URL: http://ndim.fedorapeople.org/awesome/awesome-2.0-0.24.fc8.src.rpm
Description: Extremely fast, small, dynamic and awesome tiling window manager

awesome is a tiling window manager initialy based on a dwm code
rewriting. It's extremely fast, small, dynamic and awesome.

Windows can be managed in several layouts: tiled, maximized and
floating. Each layout can be applied on the fly, optimizing the
environment for the application in use and the task performed.

Managing windows in tiled mode assures that no space will be wasted on
your screen. No gaps, no overlap.
Comment 1 Hans Ulrich Niedermann 2008-01-14 09:39:19 EST
awesome 2.1 will probably be released before this review request has been
approved. awesome 2.1 depends on libconfuse >= 2.6 which is not in Fedora yet.
Comment 2 Hans Ulrich Niedermann 2008-01-21 12:21:39 EST
awesome 2.1 has been released.

Updated packages, requiring not-yet-released libconfuse 2.6
(https://bugzilla.redhat.com/show_bug.cgi?id=427529):

Spec URL: http://ndim.fedorapeople.org/awesome/2.1-1.fc8/awesome.spec
SRPM URL: http://ndim.fedorapeople.org/awesome/2.1-1.fc8/awesome-2.1-1.fc8.src.rpm

Buildlog and rpmlint output: http://ndim.fedorapeople.org/awesome/2.1-1.fc8/
Comment 3 Hans Ulrich Niedermann 2008-04-08 12:18:37 EDT
awesome 2.2 and 2.3 have been released, but I have not made any packages of those.

(At least for the time being,) I have given up using awesome in favour of
standard Gnome with awesome-like keybindings: There seems to be no other way to
use NetworkManager, the setroubleshoot browser, etc.

If anyone wants to take over this package, feel free to do so.
Comment 4 Mamoru TASAKA 2008-06-22 22:48:30 EDT

*** This bug has been marked as a duplicate of 452427 ***

Note You need to log in before you can comment on or make changes to this bug.